from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSheetFilterDescriptor(XInterface, Protocol):
    def getFilterFields(self) -> list[TableFilterField]: ...
    def setFilterFields(self, aFilterFields: sequence< TableFilterField >) -> None: ...
